kind: Deployment
apiVersion: apps/v1
metadata:
  name: constellation-appstatic-service
  labels:
    app: constellation-appstatic-service
spec:
  replicas: 1
  selector:
    matchLabels:
      app: constellation-appstatic-service
  template:
    metadata:
      labels:
        app: constellation-appstatic-service
    spec:
      imagePullSecrets:
      - name: regcred
      containers:
      - name: c11n-appstatic
        imagePullPolicy: Always
        image: cirrus-docker.jfrog.io/constellation-appstatic-service/docker-image:0.0.1-2022032413430113
        args:
        - root=/usr/src/app/dist
        - port=3000
        - urlPath=/c11n-appstatic
        ports:
        - containerPort: 3000

---

apiVersion: v1
kind: Service
metadata:
  name: constellation-appstatic-service
  labels:
    app: constellation-appstatic-service
spec:
  type: NodePort
  selector:
    app: constellation-appstatic-service
  ports:
    - protocol: TCP
      port: 443     
      targetPort: 3000      

---